Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1359386

Summary: [abrt] metacity: XkbQueryExtension(): metacity killed by SIGSEGV
Product: [Fedora] Fedora Reporter: satellitgo
Component: metacityAssignee: Yaakov Selkowitz <yselkowi>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: fmuellner, otaylor
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/31735ff68fb3850e82ae256cfabecd4b266e0cf3
Whiteboard: abrt_hash:7e5317eba848d703e66d584c587cd338aab78772;VARIANT_ID=workstation;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-08 15:49:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: exploitable
none
File: limits
none
File: maps
none
File: mountinfo
none
File: namespaces
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description satellitgo 2016-07-23 15:34:44 UTC
Description of problem:
f24 gnome wayland try to start sugar-runner
works ok in gnome

Version-Release number of selected component:
metacity-3.12.0-4.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        metacity --no-force-fullscreen
crash_function: XkbQueryExtension
executable:     /usr/bin/metacity
global_pid:     8738
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 XkbQueryExtension at XKB.c:49
 #1 meta_bell_init at core/bell.c:341
 #2 meta_display_open at core/display.c:382

Comment 1 satellitgo 2016-07-23 15:34:48 UTC
Created attachment 1183122 [details]
File: backtrace

Comment 2 satellitgo 2016-07-23 15:34:49 UTC
Created attachment 1183123 [details]
File: cgroup

Comment 3 satellitgo 2016-07-23 15:34:50 UTC
Created attachment 1183124 [details]
File: core_backtrace

Comment 4 satellitgo 2016-07-23 15:34:51 UTC
Created attachment 1183125 [details]
File: dso_list

Comment 5 satellitgo 2016-07-23 15:34:52 UTC
Created attachment 1183126 [details]
File: environ

Comment 6 satellitgo 2016-07-23 15:34:53 UTC
Created attachment 1183127 [details]
File: exploitable

Comment 7 satellitgo 2016-07-23 15:34:54 UTC
Created attachment 1183128 [details]
File: limits

Comment 8 satellitgo 2016-07-23 15:34:55 UTC
Created attachment 1183129 [details]
File: maps

Comment 9 satellitgo 2016-07-23 15:34:56 UTC
Created attachment 1183130 [details]
File: mountinfo

Comment 10 satellitgo 2016-07-23 15:34:56 UTC
Created attachment 1183131 [details]
File: namespaces

Comment 11 satellitgo 2016-07-23 15:34:57 UTC
Created attachment 1183132 [details]
File: open_fds

Comment 12 satellitgo 2016-07-23 15:34:58 UTC
Created attachment 1183133 [details]
File: proc_pid_status

Comment 13 satellitgo 2016-07-23 15:34:59 UTC
Created attachment 1183134 [details]
File: var_log_messages

Comment 14 Fedora Admin XMLRPC Client 2017-06-09 02:10:47 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 Yaakov Selkowitz 2017-06-09 06:04:18 UTC
If you want, you can try a newer metacity from my copr (yselkowitz/gnome-flashback).

Comment 16 Yaakov Selkowitz 2017-06-14 17:06:10 UTC
Also, if you have since upgraded to F25 or newer, then there are newer versions of metacity on their way to updates-testing.

Comment 17 Fedora End Of Life 2017-07-25 21:59:58 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2017-08-08 15:49:16 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.